summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author David Melik2010-05-13 00:58:13 +0200
committer David Somero2010-05-13 00:58:13 +0200
commitb1b8346532c8add0621fbb1bb6c470a7c67b83e4 (patch)
tree17ac986f8daf3e7c2d73dfe642f384da17717e19 /games
parenta545f36fd178494632fe381a25a06d50894cae05 (diff)
downloadslackbuilds-b1b8346532c8add0621fbb1bb6c470a7c67b83e4.tar.gz
games/tomenet: Added to 13.0 repository
Diffstat (limited to 'games')
-rw-r--r--games/tomenet/README29
-rw-r--r--games/tomenet/angband.pngbin0 -> 603 bytes
-rw-r--r--games/tomenet/doinst.sh4
-rw-r--r--games/tomenet/slack-desc19
-rw-r--r--games/tomenet/tomenet.SlackBuild93
-rw-r--r--games/tomenet/tomenet.desktop8
-rw-r--r--games/tomenet/tomenet.info10
-rw-r--r--games/tomenet/tomenet.sh43
8 files changed, 206 insertions, 0 deletions
diff --git a/games/tomenet/README b/games/tomenet/README
new file mode 100644
index 0000000000..ab71d47300
--- /dev/null
+++ b/games/tomenet/README
@@ -0,0 +1,29 @@
+Tales of Middle Earth Multiplayer is a fantasy adventure game
+
+TomeNET is a multiplayer fantasy dungeon exploration game based on the works of
+J.R.R. Tolkien. It is a game that emphasizes intricate, challenging, and varied
+gameplay over graphics. Hundreds of different monsters in randomly-generated,
+unpredictable dungeons will strive to slay you by various means
+
+http://www.t-o-m-e.net
+
+The game is installed in /usr/share/games/tomenet, where the configuration
+files are. The SlackBuild links the clients (for playing) into /usr/games and
+the server and administration utilities into /usr/bin. Slackware already puts
+these places in your path, so you can type the name of the programs anywhere
+and run them. The clients are called:
+
+tomenet (for the X Window system. recommended)
+tomenet.console (for the linux console, but it may not have as many features
+such as windows to show other players.)
+
+The server and administration utliities are:
+
+tomenetd
+tomenetd.evilmeta (for joining the list of public servers)
+tomenetd.accedit (to edit user accounts.)
+
+Just type in the client name and it will give you a list of servers. If you
+want to run one, type tomenetd and--if you want it public--tomenetd.evilmeta.
+The tomenet.accedit will let you set what type of account (normal, Dungeon
+Master, admin) specific users get who connect.
diff --git a/games/tomenet/angband.png b/games/tomenet/angband.png
new file mode 100644
index 0000000000..ee931a91ee
--- /dev/null
+++ b/games/tomenet/angband.png
Binary files differ
diff --git a/games/tomenet/doinst.sh b/games/tomenet/doinst.sh
new file mode 100644
index 0000000000..ac2793c959
--- /dev/null
+++ b/games/tomenet/doinst.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/tomenet/slack-desc b/games/tomenet/slack-desc
new file mode 100644
index 0000000000..9fe1c070f5
--- /dev/null
+++ b/games/tomenet/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+tomenet: tomenet (multiplayerfantasy adventure game)
+tomenet:
+tomenet: TomeNET is a multiplayer fantasy dungeon exploration game based on
+tomenet: the works of J.R.R. Tolkien. It is a game that emphasizes intricate,
+tomenet: challenging, and varied gameplay over graphics. Hundreds of
+tomenet: different monsters in randomly-generated, unpredictable dungeons
+tomenet: will strive to slay you by various means
+tomenet:
+tomenet:
+tomenet: Homepage: http://www.t-o-m-e.net
+tomenet: \ No newline at end of file
diff --git a/games/tomenet/tomenet.SlackBuild b/games/tomenet/tomenet.SlackBuild
new file mode 100644
index 0000000000..581a552420
--- /dev/null
+++ b/games/tomenet/tomenet.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for Tomenet
+
+# David Melik <dchmelik @ gmail dot com>
+# based on a Tome Slackbuild that is somewhat based on
+# Marshall Scott's Angband SlackBuild.
+
+PRGNAM=tomenet
+VERSION=${VERSION:-4.4.2}
+SRC_VERSION=${SRC_VERSION:-4.4.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$SRC_VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd src
+cp makefile Makefile
+make
+make install
+
+#the real 'make install:'
+mkdir -p $PKG/usr/share/games
+mkdir -p $PKG/usr/games
+#get rid of extra files in the build folder to install it after
+cd ../..
+rm $PRGNAM-$VERSION/src/server/*.o
+rm $PRGNAM-$VERSION/src/common/*.o
+rm $PRGNAM-$VERSION/src/server/lua/*.o
+rm $PRGNAM-$VERSION/src/client/*.o
+#put the files in place
+mv $PRGNAM-$VERSION $PKG/usr/share/games/$PRGNAM
+cp $CWD/tomenet.sh $PKG/usr/share/games/tomenet
+chmod a+x $PKG/usr/share/games/tomenet/tomenet.sh
+cd $PKG/usr/games
+ln -fs /usr/share/games/tomenet/tomenet.sh tomenet
+ln -fs /usr/share/games/tomenet/tomenet.sh tomenet.console
+ln -fs /usr/share/games/tomenet/tomenet.sh tomenet.server
+ln -fs /usr/share/games/tomenet/tomenet.sh accedit
+ln -fs /usr/share/games/tomenet/tomenet.sh evilmeta
+
+# We'll kill the "delete.me" files in the package; probably these are left so
+# that lesser package management tools don't choke on empty directories
+find $PKG -name "delete.me" -exec rm -f {} \; || true
+
+mkdir -p $PKG/usr/share/pixmaps
+mkdir -p $PKG/usr/share/applications
+cp $CWD/angband.png $PKG/usr/share/pixmaps
+cp $CWD/tomenet.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $PKG/usr/share/games/tomenet
+cp -a changes.txt ChangeLog TomeNET-Guide.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/tomenet.info > $PKG/usr/doc/$PRGNAM-$VERSION/tomenet.info
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/games/tomenet/tomenet.desktop b/games/tomenet/tomenet.desktop
new file mode 100644
index 0000000000..045afbc220
--- /dev/null
+++ b/games/tomenet/tomenet.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=TomeNET
+Comment=Dive into Arda and defeat Morgoth
+Exec=tomenet
+Terminal=true
+Type=Application
+Categories=Game;
+Icon=angband
diff --git a/games/tomenet/tomenet.info b/games/tomenet/tomenet.info
new file mode 100644
index 0000000000..f7f218e6b5
--- /dev/null
+++ b/games/tomenet/tomenet.info
@@ -0,0 +1,10 @@
+PRGNAM="tomenet"
+VERSION="4.4.2"
+HOMEPAGE="http://www.t-o-m-e.net"
+DOWNLOAD="http://koti.mbnet.fi/mikaelh/tomenet/downloads/tomenet-4.4.2.tar.bz2"
+MD5SUM="2183daad4c4a7187dad78af287eaf95e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Melik"
+EMAIL="dchmelik@gmail.com"
+APPROVED="dsomero"
diff --git a/games/tomenet/tomenet.sh b/games/tomenet/tomenet.sh
new file mode 100644
index 0000000000..464bb88517
--- /dev/null
+++ b/games/tomenet/tomenet.sh
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+GAMES_TOMENET=/usr/share/games/tomenet
+
+if [ ! -e ${HOME}/.tomenet ]; then
+ mkdir -p ${HOME}/.tomenet
+
+ # Make a copy of the lib directory for the user
+ cp -R ${GAMES_TOMENET}/lib ${HOME}/.tomenet/
+
+ # Server configuration files
+ cp ${GAMES_TOMENET}/tomenet.cfg ${GAMES_TOMENET}/forbidlist ${HOME}/.tomenet/
+
+ # Create an account file
+ touch ${HOME}/.tomenet/tomenet.acc
+
+ # Create links for running the server in ${HOME}/.tomenet
+ ln -s ${GAMES_TOMENET}/tomenet.server ${HOME}/.tomenet/tomenet.server
+ ln -s ${GAMES_TOMENET}/evilmeta ${HOME}/.tomenet/evilmeta
+fi
+
+cd ${HOME}/.tomenet
+
+# Point $TOMENET_PATH to the local lib directory
+export TOMENET_PATH=${HOME}/.tomenet/lib
+
+case $(basename $0) in
+ tomenet)
+ exec ${GAMES_TOMENET}/tomenet "$@"
+ ;;
+ tomnet.console)
+ exec ${GAMES_TOMENET}/tomenet.console "$@"
+ ;;
+ tomenet.server)
+ exec ${GAMES_TOMENET}/tomenet.server "$@"
+ ;;
+ accedit)
+ exec ${GAMES_TOMENET}/accedit "$@"
+ ;;
+ evilmeta)
+ exec ${GAMES_TOMENET}/evilmeta "$@"
+ ;;
+ esac \ No newline at end of file